--Custom text
function()
    output = ""
    for k, v in pairs(aura_env.elites) do
        output = output .. aura_env.eliteColor .. k .. "    " .. v .. "\124r\n"
    end
    for k, v in pairs(aura_env.rares) do
        output = output .. aura_env.rareColor .. k .. "    " .. v .. "\124r\n"
    end
    return output
end

--NAME_PLATE_UNIT_ADDED
function(e, u)
    class = UnitClassification(u)
    -- use date() for time
    if class == "elite" then
        aura_env.elites[UnitName(u)] = aura_env.GetTime()
        return true
    elseif class == "rare" or class == "rareelite" then
        aura_env.rares[UnitName(u)] = aura_env.GetTime()
        return true
    end
end

--INIT
aura_env.elites = {}
aura_env.rares = {}
aura_env.eliteColor = "\124c" .. "ff3e3e3e"
aura_env.rareColor = "\124c" .. "ffffe72e"

aura_env.GetTime = function()
    return string.match(date(), "%d%d:%d%d:%d%d")
endee